Skip to main content
GET
Get a reserved conversion quote

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

rentalId
string
required
termPeriodDays
integer

Also return a quote for the rental conversion by this length, as requestedOption. Any whole number of days from 1 to 30 where custom reservation lengths are enabled for your account; otherwise one of the standard terms in options from GET /v2/on-demand/reserve-options.

Required range: 1 <= x <= 30

Response

Successful response

What converting an on-demand rental to reserved would cost, per term.

costPerHourCents
number
required
estimatedUsageTailCents
number
required
options
object[]
required
requestedOption
object

A quote for the rental conversion by termPeriodDays. Only present when termPeriodDays is passed.